Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class DelayedPaymentViewerControl

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      semorg.gui.util.DelayedPaymentViewerControl

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class DelayedPaymentViewerControl

extends org.eclipse.swt.widgets.Composite

This class provides a SWT control to view the delayed payments. It does not provide any possibilities to change the displayed data records.

Field Summary
`private Vector<DBColumn>` | `columns` The columns of the GUI table.
`private org.eclipse.jface.viewers.TableViewer` | `mainTableViewer` The wrapper for the GUI table.
`private int` | `referencedFK` The id of the actual client to get the related delayed payments.
`private DistinctVector<DBTableChangedListener>` | `updateListeners` These listeners react on changes in the database tables by updating the GUI table.

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`DelayedPaymentViewerControl(org.eclipse.swt.widgets.Composite parent, org.eclipse.swt.widgets.Shell parentShell)` Creates an instance of this class.

Method Summary
`private void` | `addUpdateListener(int type)` Adds a listener to the `updateListeners` vector.
`void` | `setInput(int referencedFK)` Sets the new input of the GUI table containig all delayed payment.
`void` | `update()` Updates the GUI table with the actual records from a database query.

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mainTableViewer

    private org.eclipse.jface.viewers.TableViewer mainTableViewer

  The wrapper for the GUI table.

### referencedFK

    private int referencedFK

  The id of the actual client to get the related delayed payments.

### columns

    private Vector<DBColumn> columns

  The columns of the GUI table.

### updateListeners

    private DistinctVector<DBTableChangedListener> updateListeners

  These listeners react on changes in the database tables by updating the GUI table.

Constructor Detail

### DelayedPaymentViewerControl

    public DelayedPaymentViewerControl(org.eclipse.swt.widgets.Composite parent,
                                       org.eclipse.swt.widgets.Shell parentShell)

  Creates an instance of this class.

  Parameters:
    `parent` - the parent composite which includes this control.
    `parentShell` - the shell which includes this control, it is needed for removing the listeners when closing the window.

Method Detail

### setInput

    public void setInput(int referencedFK)
                  throws SQLException

  Sets the new input of the GUI table containig all delayed payment.

  Parameters:
    `referencedFK` - the id of client booking corresponding to the delayed payment.
  Throws:
    `SQLException` - If the creation, manipulation, execution or closing of a PreparedStatement instance used for querying the database fails.

### addUpdateListener

    private void addUpdateListener(int type)

  Adds a listener to the `updateListeners` vector.

  Parameters:
    `type` - the wanted type of the DBTableChangedListener

### update

    public void update()

  Updates the GUI table with the actual records from a database query.
  For example if the rows of the GUI table are sorted by a column or a record has been deleted.

  Overrides:
    `update` in class `org.eclipse.swt.widgets.Control`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD